(function() {
	'use strict';

	angular.module('uniflash').directive('ufQuickSettings', QuickSettings);

	function QuickSettings() {
		var directive = {
			restrict: 'E',
			templateUrl: 'flash_properties/quick_settings.html',
			controller: QuickSettingsController,
			controllerAs: 'vm',
			scope:{}
		};

		return directive;
	}
	
	QuickSettingsController.$inject = ['ufPropertiesDB','ufQuickSettingsSrv','ufSettingsDisplayControlSrv','ufContext','ufMainView'];
	
	function QuickSettingsController(ufPropertiesDB,ufQuickSettingsSrv,ufSettingsDisplayControlSrv,ufContext : uniflash.Context,ufMainView:uniflash.views.MainViewService) {
		var vm = this;
		vm.ufPropertiesDB = ufPropertiesDB;
		vm.ufQuickSettingsSrv = ufQuickSettingsSrv;
		vm.ufSettingsDisplayControlSrv = ufSettingsDisplayControlSrv;
		
		vm.display = true;
		vm.propId = '';
		vm.settingsUtilFilter = vm.ufPropertiesDB.getFilter();
		
		vm.goToUtilitiesAndSettings = function() {
            ufMainView.go(uniflash.RegisteredViews.UtilitiesAndSettings
                            ,ufContext.getCurrentCore().name);
		};
	}

})();
